Bug 1118042 - When updating a node, warnings are seen from yum [NEEDINFO]
Summary: When updating a node, warnings are seen from yum
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Containers
Version: 2.0.0
Hardware: x86_64
OS: Linux
high
medium
Target Milestone: ---
: ---
Assignee: Brenton Leanhardt
QA Contact: libra bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-09 21:49 UTC by Timothy Williams
Modified: 2018-12-06 17:15 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-31 14:54:09 UTC
weli: needinfo? (dknox)


Attachments (Terms of Use)

Description Timothy Williams 2014-07-09 21:49:54 UTC
Description of problem:

Updating an OSE 2.0 node to the most recent packages throws the below warnings
====================
  Updating   : tomcat7-servlet-3.0-api-7.0.40-11_patch_03.ep6.el6.noa     6/242
Non-fatal POSTIN scriptlet failure in rpm package tomcat7-servlet-3.0-api-7.0.40-11_patch_03.ep6.el6.noarch
the primary link for servlet must be /usr/share/java/servlet.jar
warning: %post(tomcat7-servlet-3.0-api-0:7.0.40-11_patch_03.ep6.el6.noarch) scriptlet failed, exit status 2
  Updating   : jboss-xnio-base-3.0.10-1.GA_redhat_1.1.ep6.el6.noarch      7/242
  Updating   : libtirpc-0.2.1-6.el6_5.2.x86_64                            8/242
  Updating   : tomcat6-servlet-2.5-api-6.0.37-29_patch_05.ep6.el6.noa     9/242
Non-fatal POSTIN scriptlet failure in rpm package tomcat6-servlet-2.5-api-6.0.37-29_patch_05.ep6.el6.noarch
the primary link for servlet must be /usr/share/java/servlet.jar
warning: %post(tomcat6-servlet-2.5-api-0:6.0.37-29_patch_05.ep6.el6.noarch) scriptlet failed, exit status 2
  Updating   : jboss-as-cli-7.3.4-1.Final_redhat_1.1.ep6.el6.noarch      10/242
  Updating   : jboss-as-osgi-configadmin-7.3.4-1.Final_redhat_1.1.ep6    11/242
  Updating   : tomcat6-jsp-2.1-api-6.0.37-29_patch_05.ep6.el6.noarch     12/242
Non-fatal POSTIN scriptlet failure in rpm package tomcat6-jsp-2.1-api-6.0.37-29_patch_05.ep6.el6.noarch
the primary link for jsp must be /usr/share/java/jsp.jar
warning: %post(tomcat6-jsp-2.1-api-0:6.0.37-29_patch_05.ep6.el6.noarch) scriptlet failed, exit status 2
  Updating   : jbossweb-7.3.2-4.Final_redhat_3.1.ep6.el6.noarch          13/242
  Updating   : tomcat7-jsp-2.2-api-7.0.40-11_patch_03.ep6.el6.noarch     14/242
Non-fatal POSTIN scriptlet failure in rpm package tomcat7-jsp-2.2-api-7.0.40-11_patch_03.ep6.el6.noarch
the primary link for jsp must be /usr/share/java/jsp.jar
warning: %post(tomcat7-jsp-2.2-api-0:7.0.40-11_patch_03.ep6.el6.noarch) scriptlet failed, exit status 2
  Updating   : hibernate4-envers-eap6-4.2.7-9.SP5_redhat_1.1.ep6.el6.    15/242
=======================

These appear to not be an issue, as java applications still work as expected afterwards. The error we see being reported is from the post install of the tomcat rpms:
=======================
  the primary link for jsp must be /usr/share/java/jsp.jar

  # rpm -q --scripts tomcat6-jsp-2.1-api
  postinstall scriptlet (using /bin/sh):

  /usr/sbin/update-alternatives --install /usr/share/java/jsp-api.jar jsp /usr/share/java/tomcat6-jsp-2.1-api.jar 20100
========================

Version-Release number of selected component (if applicable):
2.0

How reproducible:
Always

Steps to Reproduce:
1. Update an existing OSE 2.0 node to the latest tomcat packages
2.
3.

Comment 2 Brenton Leanhardt 2014-07-10 15:11:18 UTC
We're going to see this affects 2.1 as well.  Base RHEL ships tomcat as well as JBoss and we have my make sure OSE customers only use the version from JBoss channels.

Comment 3 Timothy Williams 2014-07-11 15:57:40 UTC
On my reproducer system, I am using the tomcat packages from the 'jb-ews-2-for-rhel-6-server-rpms' repo. This seems correct to me, I don't believe I have any jboss packages from the base channel:

Name        : tomcat6
Arch        : noarch
Version     : 6.0.37
Release     : 29_patch_05.ep6.el6
Size        : 502 k
Repo        : installed
From repo   : jb-ews-2-for-rhel-6-server-rpms
Summary     : Apache Servlet/JSP Engine, RI for Servlet 2.5/JSP 2.1 API
URL         : http://tomcat.apache.org/
License     : ASL 2.0
Description : Tomcat is the servlet container that is used in the official

Name        : tomcat7
Arch        : noarch
Version     : 7.0.40
Release     : 11_patch_03.ep6.el6
Size        : 415 k
Repo        : installed
From repo   : jb-ews-2-for-rhel-6-server-rpms
Summary     : Apache Servlet/JSP Engine, RI for Servlet 3.0/JSP 2.2 API
URL         : http://tomcat.apache.org/
License     : ASL 2.0
Description : Tomcat is the servlet container that is used in the official Reference

Name        : tomcat7-servlet-3.0-api
Arch        : noarch
Version     : 7.0.40
Release     : 11_patch_03.ep6.el6
Size        : 173 k
Repo        : installed
From repo   : jb-ews-2-for-rhel-6-server-rpms
Summary     : Apache Tomcat Servlet API implementation classes
URL         : http://tomcat.apache.org/
License     : ASL 2.0
Description : Apache Tomcat Servlet API implementation classes.

(These yum info queries are from after the update)

Comment 5 Weinan Li 2014-07-15 14:18:34 UTC
As I understand this is a known issue of tomcat in EWS 2.0.1. I'll ask Dave to provide some help.

Dave, could you please check this issue?


Note You need to log in before you can comment on or make changes to this bug.